# This module contains settings and configuration that apply to all nodes in a grid.
{ lib, config, pkgs, ...}:
{
  options.grid = {
    publicKeyPath = lib.mkOption {
      type = lib.types.path;
      description = ''
      A path on the deployment system of a directory containing all of the
      public keys for the system.  For example, this holds Wireguard public keys
      for the VPN configuration and SSH public keys to configure SSH
      authentication.
      '';
    };
    privateKeyPath = lib.mkOption {
      type = lib.types.path;
      description = ''
      A path on the deployment system of a directory containing all of the
      corresponding private keys for the system.
      '';
    };
  };

  config = {
    # Expose `nixos/pkgs` as a new module argument `ourpkgs`.
    _module.args.ourpkgs = pkgs.callPackage ../../nixos/pkgs {};
  };
}
