# Expose all our locally defined packages as attributes.
# In `gridlib.base`, we expose this as a new `ourpkgs` module argument. 
# To access this directly, you can call this as::
#
#    pkgs.callPackage ./nixos/pkgs
{buildPlatform, hostPlatform, callPackage}:
let
  # Our own nixpkgs fork:
  ourpkgs = import ../../nixpkgs-ps.nix {
    # Ensure that the fork is configured for the same system
    # as we were called with.
    localSystem = buildPlatform;
    crossSystem = hostPlatform;
    # Ensure that configuration of the system where this runs
    # doesn't leak into what we build.
    # See https://github.com/NixOS/nixpkgs/issues/62513
    config = {};
    overlays = [];
  };
in
{
  zkapissuer = callPackage ./zkapissuer {};
  inherit (ourpkgs) privatestorage leasereport;
}
